## tapioca 1.7.3

=== src/Makefile ===
include Makefile.inc

DIR=TAPIOCA
TARGET=tapioca

All: $(TARGET)

SRCS  = main.cc \
	matrix.cc imatrix.cc namelist.cc dtcif.cc \
	dtatoms.cc dtcell.cc dtsymmetry.cc dtlattice.cc \
	dtfield.cc dtband.cc dtdos.cc dttapp.cc dtxtapp.cc dtmodel.cc \
	glbase.cc gloption.cc glmisc.cc glspline.cc \
	glatoms.cc glbonds.cc glcell.cc gllattice.cc \
	glcrosec.cc glisosurf.cc glfog.cc \
	glframe.cc glbar.cc glfield.cc \
	glview.cc glview2d.cc glband.cc gldos.cc gleps.cc \
	glbrillouin.cc \
	qtexception.cc qtwidgets.cc \
	qtcell.cc qtalignment.cc qtsymmetry.cc qtcluster.cc \
	qtlattice.cc qttapp.cc qtxtapp.cc \
	qtglfield.cc qtgllattice.cc qtglperiodic.cc qtglmisc.cc \
	qtgraphics.cc qtxml.cc qtatoms.cc qtctrl.cc \
	qtbrillouin.cc \
	window.cc

QTHEADS = dtmodel.h \
	gllattice.h glfield.h glview2d.h glview.h glband.h gldos.h \
	glbrillouin.h \
	qtwidgets.h qtatoms.h \
	qtcell.h qtalignment.h qtsymmetry.h qtcluster.h \
	qtlattice.h qttapp.h qtxtapp.h \
	qtglfield.h qtgllattice.h qtglperiodic.h qtglmisc.h qtgraphics.h \
	qtbrillouin.h \
	qtctrl.h window.h

OBJS   = ${SRCS:%.cc=%.o}
QTMOCS = ${QTHEADS:%.h=%.moc.o}

.SUFFIXES:
.SUFFIXES: .o .cc
.SUFFIXES: .moc.o .h .moc.cpp

.h.moc.o:
	$(MOC) $*.h -o $*.moc.cpp
	$(CC) -c $(CFLAGS) $(INCS) $*.moc.cpp
	@rm -f  $*.moc.cpp

.cc.o:
	$(CC) -c $(CFLAGS) $(INCS) $*.cc

$(TARGET): $(OBJS) $(QTMOCS) $(ICON)
	$(CC) $(OBJS) $(QTMOCS) $(ICON) $(LFLAGS) $(LIBS) -o $@

icon.ico: icon16.bmp icon32.bmp icon48.bmp icon64.bmp
	toico.exe -o icon.ico icon16.bmp icon32.bmp icon48.bmp icon64.bmp

$(ICON): icon.rc icon.ico
	windres.exe -i icon.rc -o icon.o

clean:
	rm -f *.moc.cpp *.exe *.exe.stackdump *.o *~ *.bak $(TARGET)

tgz:
	make clean
	(cd ..; tar zcvf $(TARGET).tgz $(DIR) )

depend:
	touch Makefile.dep
	makedepend -fMakefile.dep -Y -- *.cc 2> /dev/null

include Makefile.dep

=== debian/changelog ===
tapioca (1.7.3-3) unstable; urgency=low

  * Fixed makefiles

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 19 Jun 2018 08:30:44 +0900

tapioca (1.7.3-2) unstable; urgency=low

  * Support for Stretch

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Sat, 16 Jun 2018 22:39:15 +0900

tapioca (1.7.3-1) unstable; urgency=low

  * New upstream release 1.7.3

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 09 Aug 2016 10:36:39 +0000

tapioca (1.6.11-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Wed, 20 Jan 2016 14:49:18 +0900

tapioca (1.6.10-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Wed, 25 Nov 2015 22:01:05 +0900

tapioca (1.6.9-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Wed, 25 Nov 2015 18:41:29 +0900

tapioca (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 28 Apr 2015 17:03:33 +0900

tapioca (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Mon, 09 Mar 2015 10:32:09 +0900

tapioca (1.4.2-2) unstable; urgency=low

  * Added missing config files

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Wed, 12 Mar 2014 13:36:33 +0900

tapioca (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 04 Mar 2014 07:21:33 +0900

tapioca (1.3.3-3) unstable; urgency=low

  * Fixed copyright more.

 -- Synge Todo <wistaria@issp.u-tokyo.ac.jp>  Fri, 20 Sep 2013 23:52:12 +0900

tapioca (1.3.3-2) unstable; urgency=low

  * Fixed copyright.

 -- Synge Todo <wistaria@issp.u-tokyo.ac.jp>  Fri, 20 Sep 2013 21:28:23 +0900

tapioca (1.3.3-1) unstable; urgency=low

  * Initial debian package

 -- Synge Todo <wistaria@issp.u-tokyo.ac.jp>  Fri, 20 Sep 2013 00:50:08 +0900

=== debian/control ===
Source: tapioca
Section: scientific
Priority: extra
Maintainer: Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 8.0.0), qtbase5-dev
Standards-Version: 3.9.3
Homepage:

Package: tapioca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tapioca: graphical user interface for xTAPP first-principles plane-wave pseudo-potential code
